#include <iostream>

using namespace std;

int main()
{

    ios::sync_with_stdio(0);
    cin.tie(0);
    int N,K,x,y,br=0, br1=1;
    cin >> N >> K;
    int a[N];
    for(int i=0; i<N; i++)
    {
        cin >> x;
        a[i] = x;
    }
    while(K-1)
    {
        if(a[br]>a[N-br1])
        {
            y+=a[br]-a[N-br1];
            br1++;
        }
        else
        {
            y+=a[N-br1]-a[br];
            br++;
        }
        K--;
    }
    cout << y;


    return 0;
}